Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class CommonBean

    java.lang.Object
      net.sf.dropboxmq.resource.spi.CommonBean

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractManagedConnectionFactory, ActivationSpecImpl, ResourceAdapterImpl

    public abstract class CommonBean

extends Object
implements Serializable

Created: 09 Mar 2007

Version:
  $Revision: 217 $, $Date: 2010-11-28 22:46:14 -0700 (Sun, 28 Nov 2010) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`CommonBean()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getClassLoadedProperties()`
`String` | `getMessageTranscoderFactory()`
`Long` | `getPollingInterval()`
`protected String` | `getProperty(String key)`
`Integer` | `getRedeliveryAttempts()`
`String` | `getRoot()`
`Long` | `getTargetScanTimeout()`
`int` | `hashCode()`
`Boolean` | `isConsumeExpiredMessages()`
`Boolean` | `isDeleteCompleteTransactions()`
`Boolean` | `isDeleteExpiredMessages()`
`Boolean` | `isDeleteProcessedMessages()`
`Boolean` | `isPreserveDeletedDropboxes()`
`void` | `setClassLoadedProperties(String classLoadedProperties)`
`void` | `setConsumeExpiredMessages(Boolean consumeExpiredMessages)`
`void` | `setDeleteCompleteTransactions(Boolean deleteCompleteTransactions)`
`void` | `setDeleteExpiredMessages(Boolean deleteExpiredMessages)`
`void` | `setDeleteProcessedMessages(Boolean deleteProcessedMessages)`
`void` | `setMessageTranscoderFactory(String messageTranscoderFactory)`
`void` | `setPollingInterval(Long pollingInterval)`
`void` | `setPreserveDeletedDropboxes(Boolean preserveDeletedDropboxes)`
`void` | `setRedeliveryAttempts(Integer redeliveryAttempts)`
`void` | `setRoot(String root)`
`void` | `setTargetScanTimeout(Long targetScanTimeout)`
`protected String` | `toObjectString()`
`protected void` | `validateCommon()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonBean

    public CommonBean()

Method Detail

### validateCommon

    protected void validateCommon()
                           throws InvalidPropertyException

  Throws:
    `InvalidPropertyException`

### getProperty

    protected final String getProperty(String key)

### getRedeliveryAttempts

    public Integer getRedeliveryAttempts()

### setRedeliveryAttempts

    public void setRedeliveryAttempts(Integer redeliveryAttempts)

### getRoot

    public String getRoot()

### setRoot

    public void setRoot(String root)

### getPollingInterval

    public Long getPollingInterval()

### setPollingInterval

    public void setPollingInterval(Long pollingInterval)

### getTargetScanTimeout

    public Long getTargetScanTimeout()

### setTargetScanTimeout

    public void setTargetScanTimeout(Long targetScanTimeout)

### getMessageTranscoderFactory

    public String getMessageTranscoderFactory()

### setMessageTranscoderFactory

    public void setMessageTranscoderFactory(String messageTranscoderFactory)

### isDeleteProcessedMessages

    public Boolean isDeleteProcessedMessages()

### setDeleteProcessedMessages

    public void setDeleteProcessedMessages(Boolean deleteProcessedMessages)

### isDeleteExpiredMessages

    public Boolean isDeleteExpiredMessages()

### setDeleteExpiredMessages

    public void setDeleteExpiredMessages(Boolean deleteExpiredMessages)

### isDeleteCompleteTransactions

    public Boolean isDeleteCompleteTransactions()

### setDeleteCompleteTransactions

    public void setDeleteCompleteTransactions(Boolean deleteCompleteTransactions)

### isPreserveDeletedDropboxes

    public Boolean isPreserveDeletedDropboxes()

### setPreserveDeletedDropboxes

    public void setPreserveDeletedDropboxes(Boolean preserveDeletedDropboxes)

### isConsumeExpiredMessages

    public Boolean isConsumeExpiredMessages()

### setConsumeExpiredMessages

    public void setConsumeExpiredMessages(Boolean consumeExpiredMessages)

### getClassLoadedProperties

    public String getClassLoadedProperties()

### setClassLoadedProperties

    public void setClassLoadedProperties(String classLoadedProperties)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD